org.fourthline.cling.binding.annotations

## Annotation Type UpnpStateVariable

-     @Target(value=FIELD)
      @Retention(value=RUNTIME)
      public @interface UpnpStateVariable

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `long` | `allowedValueMaximum`
    `long` | `allowedValueMinimum`
    `Class` | `allowedValueProvider`
    `Class` | `allowedValueRangeProvider`
    `String[]` | `allowedValues`
    `Class` | `allowedValuesEnum`
    `long` | `allowedValueStep`
    `String` | `datatype`
    `String` | `defaultValue`
    `int` | `eventMaximumRateMilliseconds`
    `int` | `eventMinimumDelta`
    `String` | `name`
    `boolean` | `sendEvents`

- - ### Element Detail

    - #### name

          public abstract String name

      Default:
        ""

    - #### datatype

          public abstract String datatype

      Default:
        ""

    - #### defaultValue

          public abstract String defaultValue

      Default:
        ""

    - #### allowedValues

          public abstract String[] allowedValues

      Default:
        {}

    - #### allowedValuesEnum

          public abstract Class allowedValuesEnum

      Default:
        void.class

    - #### allowedValueMinimum

          public abstract long allowedValueMinimum

      Default:
        0L

    - #### allowedValueMaximum

          public abstract long allowedValueMaximum

      Default:
        0L

    - #### allowedValueStep

          public abstract long allowedValueStep

      Default:
        1L

    - #### allowedValueProvider

          public abstract Class allowedValueProvider

      Default:
        void.class

    - #### allowedValueRangeProvider

          public abstract Class allowedValueRangeProvider

      Default:
        void.class

    - #### sendEvents

          public abstract boolean sendEvents

      Default:
        true

    - #### eventMaximumRateMilliseconds

          public abstract int eventMaximumRateMilliseconds

      Default:
        0

    - #### eventMinimumDelta

          public abstract int eventMinimumDelta

      Default:
        0

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.